<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title th:text="#{updateCyclist.title}">Update Cyclist</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<style>
    .container.first {
        height: 580px;
        overflow: hidden;
        margin-bottom: 100px;
    }

    .container.first form {
        max-height: 100%;
    }


    .container.second {
        max-height: 190px;
        overflow-y: auto;
        margin-bottom: 30px;
    }

    th {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        background-color: cadetblue;
        z-index: 999;
        color: white;
    }


</style>
<body>
<div th:replace="~{fragments/header :: header}"></div>
<div class="container second mt-5">
    <table class="table table-striped">
        <tr>
            <th th:text="#{updateTeam.text11}">Id</th>
            <th th:text="#{team.text3}">Team Name</th>
            <th th:text="#{team.text5}">Country</th>
        </tr>
        <tr th:each="team: ${teams}">
            <td th:text="${team.id}"></td>
            <td th:text="${team != null && team.teamName != null ? team.teamName : 'No Team'}"></td>
            <td th:text="${team.country}"></td>
        </tr>
    </table>
</div>
<div class="container first">
    <h2 th:text="#{updateCyclist.text3}">Update Cyclist</h2>
    <form th:action="@{/updatecyclist}" th:object="${cyclist}" method="post">
        <div class="mb-3">
            <label th:text="#{updateCyclist.text4}" for="id" class="form-label">Cyclist ID</label>
            <input type="text" class="form-control" id="id" th:field="*{id}" readonly>
            <div th:if="${idError}">
                <div class="alert alert-danger" role="alert" th:text="${idError}"></div>
            </div>
        </div>
        <div class="mb-3">
            <label th:text="#{updateCyclist.text5}" for="name" class="form-label">Name</label>
            <input type="text" class="form-control" id="name" th:field="*{name}" required>
        </div>
        <div class="mb-3">
            <label th:text="#{updateCyclist.text6}" for="age" class="form-label">Age</label>
            <input type="number" class="form-control" id="age" th:field="*{age}" required>
        </div>
        <div class="mb-3">
            <label th:text="#{updateCyclist.text7}" for="nationality" class="form-label">Nationality</label>
            <input type="text" class="form-control" id="nationality" th:field="*{nationality}" required>
        </div>
        <div class="mb-3">
            <label th:text="#{updateCyclist.text8}" for="teamId" class="form-label">Team ID</label>
            <input type="number" class="form-control" id="teamId" th:field="*{teamId}" required>
            <div th:if="${teamIdError}">
                <div class="alert alert-danger" role="alert" th:text="${teamIdError}"></div>
            </div>
        </div>
        <button th:text="#{updateCyclist.text9}" type="submit" class="btn btn-primary">Update Cyclist</button>
    </form>

</div>
<div th:replace="~{fragments/footer :: footer}"></div>
</body>
</html>
